Package org.jbpm.kie.services.impl.query.persistence

## Class QueryDefinitionEntity

- java.lang.Object
- - org.jbpm.kie.services.impl.query.persistence.QueryDefinitionEntity

-     @Entity
      public class QueryDefinitionEntity
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `QueryDefinitionEntity()` |
    `QueryDefinitionEntity​(QueryDefinition queryDefinition)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getExpression()` |
    `Long` | `getId()` |
    `String` | `getName()` |
    `String` | `getSource()` |
    `String` | `getTarget()` |
    `void` | `setExpression​(String expression)` |
    `void` | `setId​(Long id)` |
    `void` | `setName​(String name)` |
    `void` | `setSource​(String source)` |
    `void` | `setTarget​(String target)` |
    `QueryDefinition` | `toQueryDefinition()` |
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### QueryDefinitionEntity

          public QueryDefinitionEntity()

    - #### QueryDefinitionEntity

          public QueryDefinitionEntity​(QueryDefinition queryDefinition)

  - ### Method Detail

    - #### getId

          public Long getId()

    - #### setId

          public void setId​(Long id)

    - #### getExpression

          public String getExpression()

    - #### setExpression

          public void setExpression​(String expression)

    - #### getName

          public String getName()

    - #### setName

          public void setName​(String name)

    - #### getSource

          public String getSource()

    - #### setSource

          public void setSource​(String source)

    - #### getTarget

          public String getTarget()

    - #### setTarget

          public void setTarget​(String target)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### toQueryDefinition

          public QueryDefinition toQueryDefinition()